### Enumeration

# Pango FontMask

since: 1.0

#### Declaration

    flags Pango.FontMask

#### Description [src]

The bits in a `PangoFontMask` correspond to the set fields in a `PangoFontDescription`.

Available since: 1.0

#### Members

`PANGO_FONT_MASK_FAMILY`

  The font family is specified.

  - Value: `1`
  - Nickname: `family`
  - Available since: 1.0
`PANGO_FONT_MASK_STYLE`

  The font style is specified.

  - Value: `2`
  - Nickname: `style`
  - Available since: 1.0
`PANGO_FONT_MASK_VARIANT`

  The font variant is specified.

  - Value: `4`
  - Nickname: `variant`
  - Available since: 1.0
`PANGO_FONT_MASK_WEIGHT`

  The font weight is specified.

  - Value: `8`
  - Nickname: `weight`
  - Available since: 1.0
`PANGO_FONT_MASK_STRETCH`

  The font stretch is specified.

  - Value: `16`
  - Nickname: `stretch`
  - Available since: 1.0
`PANGO_FONT_MASK_SIZE`

  The font size is specified.

  - Value: `32`
  - Nickname: `size`
  - Available since: 1.0
`PANGO_FONT_MASK_GRAVITY`

  The font gravity is specified (Since: 1.16.)

  - Value: `64`
  - Nickname: `gravity`
  - Available since: 1.0
`PANGO_FONT_MASK_VARIATIONS`

  OpenType font variations are specified (Since: 1.42)

  - Value: `128`
  - Nickname: `variations`
  - Available since: 1.0